Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class DecoratedTabPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.client.ui.TabPanel
                      com.google.gwt.user.client.ui.DecoratedTabPanel

All Implemented Interfaces:
  EventListener, HasWidgets, IndexedPanel, SourcesTabEvents, TabListener, java.lang.Iterable<Widget>

    public class DecoratedTabPanel

extends TabPanel

A `TabPanel` that uses a `DecoratedTabBar` with rounded corners.

### CSS Style Rules

- .gwt-DecoratedTabPanel { the tab panel itself }
- .gwt-TabPanelBottom { the bottom section of the tab panel (the deck containing the widget) }

### Example

>     public class TabPanelExample implements EntryPoint {

>       public void onModuleLoad() {
>         // Create a tab panel with three tabs, each of which displays a different
>         // piece of text.
>         TabPanel tp = new TabPanel();
>         tp.add(new HTML("Foo"), "foo");
>         tp.add(new HTML("Bar"), "bar");
>         tp.add(new HTML("Baz"), "baz");

>         // Show the 'bar' tab initially.
>         tp.selectTab(1);

>         // Add it to the root panel.
>         RootPanel.get().add(tp);
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DecoratedTabPanel()`

Method Summary
`protected SimplePanel` | `createTabTextWrapper()` Create a `SimplePanel` that will wrap the contents in a tab.

Methods inherited from class com.google.gwt.user.client.ui.TabPanel
`add, add, add, add, addTabListener, clear, getDeckPanel, getTabBar, getWidget, getWidgetCount, getWidgetIndex, insert, insert, insert, iterator, onBeforeTabSelected, onEnsureDebugId, onTabSelected, remove, remove, removeTabListener, selectTab`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DecoratedTabPanel

    public DecoratedTabPanel()

Method Detail

### createTabTextWrapper

    protected SimplePanel createTabTextWrapper()

  Description copied from class: `TabPanel`
  Create a `SimplePanel` that will wrap the contents in a tab. Subclasses can use this method to wrap tabs in decorator panels.

  Overrides:
    `createTabTextWrapper` in class `TabPanel`
  Returns:
    a `SimplePanel` to wrap the tab contents, or null to leave tabs unwrapped

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD